Get Memory by ID
curl --request GET \
--url https://api.example.com/memories/{memory_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/memories/{memory_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/memories/{memory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memory_id": "f9361a69-2997-40c7-ae4e-a5861d434047",
"memory": "User likes coffee.",
"topics": [
"preferences"
],
"user_id": "123",
"updated_at": "2025-09-01T07:53:17Z"
}{
"detail": "Bad request",
"error_code": "BAD_REQUEST"
}{
"detail": "Unauthenticated access",
"error_code": "UNAUTHENTICATED"
}{
"detail": "Insufficient permissions"
}{
"detail": "Not found",
"error_code": "NOT_FOUND"
}{
"detail": "Validation error",
"error_code": "VALIDATION_ERROR"
}{
"detail": "Internal server error",
"error_code": "INTERNAL_SERVER_ERROR"
}Memory
Get Memory by ID
Retrieve detailed information about a specific user memory by its ID.
GET
/
memories
/
{memory_id}
Get Memory by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Memory ID to retrieve
Query Parameters
User ID to query memory for
Database ID to query memory from
Table to query memory from
Response
Memory retrieved successfully
Unique identifier for the memory
Memory content text
Topics or tags associated with the memory
Agent ID associated with this memory
Team ID associated with this memory
User ID who owns this memory
Timestamp when memory was last updated
Was this page helpful?